/**
 * Apple 登录请求
 * 
 */
import { z } from "zod";

export const AppleLoginRequestSchema = z.object({
  identityToken: z.string(),
  platform: z.string(),
  isTestAccount: z.boolean().default(false),
});

export type AppleLoginRequestInput = z.input<typeof AppleLoginRequestSchema>;
export type AppleLoginRequestData = z.output<typeof AppleLoginRequestSchema>;
